CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

Problem? with Installation of OpenFOAM 2.1.0 on to Ubuntu 10.4.4 VirtualBox

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   March 2, 2012, 16:08
Default Problem? with Installation of OpenFOAM 2.1.0 on to Ubuntu 10.4.4 VirtualBox
  #1
New Member
 
Don Stubblefield
Join Date: Mar 2012
Location: The Great Northwest
Posts: 6
Rep Power: 5
Stubby is on a distinguished road
Sorry for what looks like a dumb newbie question. I am installing OpenFOAM 2.1.0 on a Virtual Machine Oracle VirtualBox and Ubuntu 10.4.4 LTS. I am following the instructions at the openfoam.com/resources/windows.php and openfoam.org/download/ubuntu.php. The problem is it keeps making "....." at the end and has been for almost a day now (20+ hours). Am I just not patient enough or is this installation hung up? This is my first VirtualBox, but not first VM, my first Linix installation and first OpenFOAM installation. Thanks in advance for any comments.


don@vLapDon:~$ VERS=`lsb_release -cs`
don@vLapDon:~$ sudo sh -c "echo deb http://www.openfoam.org/download/ubuntu $VERS main > /etc/apt/sources.list.d/openfoam.list"
don@vLapDon:~$ sudo apt-get update
Hit http://security.ubuntu.com lucid-security Release.gpg
Ign http://www.openfoam.org lucid Release.gpg
Hit http://us.archive.ubuntu.com lucid Release.gpg
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/main Translation-en_US
Ign http://www.openfoam.org/download/ubuntu/ lucid/main Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-en_US
Ign http://www.openfoam.org lucid Release
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/universe Translation-en_US
Ign http://www.openfoam.org lucid/main Packages
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-en_US
Ign http://www.openfoam.org lucid/main Packages
Hit http://security.ubuntu.com lucid-security Release
Hit http://us.archive.ubuntu.com lucid-updates Release.gpg
Get:1 http://www.openfoam.org lucid/main Packages [2,231B]
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-en_US
Hit http://security.ubuntu.com lucid-security/main Packages
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-en_US
Hit http://security.ubuntu.com lucid-security/restricted Packages
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-en_US
Hit http://security.ubuntu.com lucid-security/main Sources
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-en_US
Hit http://security.ubuntu.com lucid-security/restricted Sources
Hit http://us.archive.ubuntu.com lucid Release
Hit http://security.ubuntu.com lucid-security/universe Packages
Hit http://us.archive.ubuntu.com lucid-updates Release
Hit http://security.ubuntu.com lucid-security/universe Sources
Hit http://us.archive.ubuntu.com lucid/main Packages
Hit http://security.ubuntu.com lucid-security/multiverse Packages
Hit http://security.ubuntu.com lucid-security/multiverse Sources
Hit http://us.archive.ubuntu.com lucid/restricted Packages
Hit http://us.archive.ubuntu.com lucid/main Sources
Hit http://us.archive.ubuntu.com lucid/restricted Sources
Hit http://us.archive.ubuntu.com lucid/universe Packages
Hit http://us.archive.ubuntu.com lucid/universe Sources
Hit http://us.archive.ubuntu.com lucid/multiverse Packages
Hit http://us.archive.ubuntu.com lucid/multiverse Sources
Hit http://us.archive.ubuntu.com lucid-updates/main Packages
Hit http://us.archive.ubuntu.com lucid-updates/restricted Packages
Hit http://us.archive.ubuntu.com lucid-updates/main Sources
Hit http://us.archive.ubuntu.com lucid-updates/restricted Sources
Hit http://us.archive.ubuntu.com lucid-updates/universe Packages
Hit http://us.archive.ubuntu.com lucid-updates/universe Sources
Hit http://us.archive.ubuntu.com lucid-updates/multiverse Packages
Hit http://us.archive.ubuntu.com lucid-updates/multiverse Sources
Fetched 2,231B in 9s (229B/s)
Reading package lists... Done
don@vLapDon:~$ sudo apt-get install openfoam210
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
binutils-dev blcr-dkms blcr-util csh dkms fakeroot flex g++ g++-4.4 libcr0
libgfortran3 libibverbs-dev libibverbs1 libice-dev libncurses5-dev libnuma1
libopenmpi-dev libopenmpi1.3 libpthread-stubs0 libpthread-stubs0-dev
libreadline-dev libreadline6-dev libscotch-5.1 libscotch-dev libsm-dev
libstdc++6-4.4-dev libx11-dev libxau-dev libxcb1-dev libxdmcp-dev libxt-dev
m4 openmpi-bin openmpi-checkpoint openmpi-common patch x11proto-core-dev
x11proto-input-dev x11proto-kb-dev xtrans-dev zlib1g-dev
Suggested packages:
bison build-essential g++-multilib g++-4.4-multilib gcc-4.4-doc
libstdc++6-4.4-dbg libstdc++6-4.4-doc paraviewopenfoam3120 gfortran
diffutils-doc
Recommended packages:
libptscotch-dev
The following NEW packages will be installed:
binutils-dev blcr-dkms blcr-util csh dkms fakeroot flex g++ g++-4.4 libcr0
libgfortran3 libibverbs-dev libibverbs1 libice-dev libncurses5-dev libnuma1
libopenmpi-dev libopenmpi1.3 libpthread-stubs0 libpthread-stubs0-dev
libreadline-dev libreadline6-dev libscotch-5.1 libscotch-dev libsm-dev
libstdc++6-4.4-dev libx11-dev libxau-dev libxcb1-dev libxdmcp-dev libxt-dev
m4 openfoam210 openmpi-bin openmpi-checkpoint openmpi-common patch
x11proto-core-dev x11proto-input-dev x11proto-kb-dev xtrans-dev zlib1g-dev
0 upgraded, 42 newly installed, 0 to remove and 0 not upgraded.
Need to get 118MB of archives.
After this operation, 439MB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
openfoam210
Install these packages without verification [y/N]? y
Get:1 http://us.archive.ubuntu.com/ubuntu/ lucid/main m4 1.4.13-3 [286kB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ lucid/main flex 2.5.35-9 [261kB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ lucid/main x11proto-core-dev 7.0.16-1 [92.2kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ lucid/main libice-dev 2:1.0.6-1 [67.1kB]
Get:5 http://us.archive.ubuntu.com/ubuntu/ lucid/main libxau-dev 1:1.0.5-1 [17.9kB]
Get:6 http://us.archive.ubuntu.com/ubuntu/ lucid/main libxdmcp-dev 1:1.0.3-1 [22.6kB]
Get:7 http://us.archive.ubuntu.com/ubuntu/ lucid/main x11proto-input-dev 2.0-2 [62.5kB]
Get:8 http://www.openfoam.org/download/ubuntu/ lucid/main openfoam210 0-1 [92.9MB]
Get:9 http://us.archive.ubuntu.com/ubuntu/ lucid/main x11proto-kb-dev 1.0.4-1 [27.3kB]
Get:10 http://us.archive.ubuntu.com/ubuntu/ lucid/main xtrans-dev 1.2.5-1 [68.5kB]
Get:11 http://us.archive.ubuntu.com/ubuntu/ lucid/main libpthread-stubs0 0.3-2 [3,202B]
Get:12 http://us.archive.ubuntu.com/ubuntu/ lucid/main libpthread-stubs0-dev 0.3-2 [2,412B]
Get:13 http://us.archive.ubuntu.com/ubuntu/ lucid/main libxcb1-dev 1.5-2 [80.0kB]
Get:14 http://us.archive.ubuntu.com/ubuntu/ lucid/main libx11-dev 2:1.3.2-1ubuntu3 [3,558kB]
Get:15 http://us.archive.ubuntu.com/ubuntu/ lucid/main patch 2.6-2ubuntu1 [121kB]
Get:16 http://us.archive.ubuntu.com/ubuntu/ lucid-updates/main dkms 2.1.1.2-2ubuntu1 [70.8kB]
Get:17 http://us.archive.ubuntu.com/ubuntu/ lucid/universe blcr-dkms 0.8.2-10 [904kB]
Get:18 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libcr0 0.8.2-10 [33.1kB]
Get:19 http://us.archive.ubuntu.com/ubuntu/ lucid/universe blcr-util 0.8.2-10 [42.1kB]
Get:20 http://us.archive.ubuntu.com/ubuntu/ lucid/universe csh 20070713-2ubuntu1 [258kB]
Get:21 http://us.archive.ubuntu.com/ubuntu/ lucid/main fakeroot 1.14.4-1ubuntu1 [101kB]
Get:22 http://us.archive.ubuntu.com/ubuntu/ lucid/main libstdc++6-4.4-dev 4.4.3-4ubuntu5 [1,522kB]
Get:23 http://us.archive.ubuntu.com/ubuntu/ lucid/main g++-4.4 4.4.3-4ubuntu5 [5,756kB]
Get:24 http://us.archive.ubuntu.com/ubuntu/ lucid/main g++ 4:4.4.3-1ubuntu1 [1,450B]
Get:25 http://us.archive.ubuntu.com/ubuntu/ lucid/main libgfortran3 4.4.3-4ubuntu5 [293kB]
Get:26 http://us.archive.ubuntu.com/ubuntu/ lucid/main libncurses5-dev 5.7+20090803-2ubuntu3 [1,598kB]
Get:27 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libnuma1 2.0.3-1 [21.0kB]
Get:28 http://us.archive.ubuntu.com/ubuntu/ lucid/main libreadline6-dev 6.1-1 [257kB]
Get:29 http://us.archive.ubuntu.com/ubuntu/ lucid/main libreadline-dev 6.1-1 [906B]
Get:30 http://us.archive.ubuntu.com/ubuntu/ lucid/main libsm-dev 2:1.1.1-1 [28.3kB]
Get:31 http://us.archive.ubuntu.com/ubuntu/ lucid/main libxt-dev 1:1.0.7-1 [525kB]
Get:32 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libibverbs1 1.1.3-2ubuntu1 [34.1kB]
Get:33 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libopenmpi1.3 1.4.1-2 [1,392kB]
Get:34 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libscotch-5.1 5.1.6.dfsg-3 [188kB]
Get:35 http://us.archive.ubuntu.com/ubuntu/ lucid-updates/main binutils-dev 2.20.1-3ubuntu7.1 [3,601kB]
Get:36 http://us.archive.ubuntu.com/ubuntu/ lucid/main zlib1g-dev 1:1.2.3.3.dfsg-15ubuntu1 [167kB]
Get:37 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libscotch-dev 5.1.6.dfsg-3 [310kB]
Get:38 http://us.archive.ubuntu.com/ubuntu/ lucid/universe openmpi-common 1.4.1-2 [86.5kB]
Get:39 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libibverbs-dev 1.1.3-2ubuntu1 [84.2kB]
Get:40 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libopenmpi-dev 1.4.1-2 [2,702kB]
Get:41 http://us.archive.ubuntu.com/ubuntu/ lucid/universe openmpi-bin 1.4.1-2 [145kB]
Get:42 http://us.archive.ubuntu.com/ubuntu/ lucid/universe openmpi-checkpoint 1.4.1-2 [61.7kB]
Fetched 118MB in 13min 30s (145kB/s)
Extracting templates from packages: 100%
Selecting previously deselected package m4.
(Reading database ... 123631 files and directories currently installed.)
Unpacking m4 (from .../archives/m4_1.4.13-3_amd64.deb) ...
Selecting previously deselected package flex.
Unpacking flex (from .../flex_2.5.35-9_amd64.deb) ...
Selecting previously deselected package x11proto-core-dev.
Unpacking x11proto-core-dev (from .../x11proto-core-dev_7.0.16-1_all.deb) ...
Selecting previously deselected package libice-dev.
Unpacking libice-dev (from .../libice-dev_2%3a1.0.6-1_amd64.deb) ...
Selecting previously deselected package libxau-dev.
Unpacking libxau-dev (from .../libxau-dev_1%3a1.0.5-1_amd64.deb) ...
Selecting previously deselected package libxdmcp-dev.
Unpacking libxdmcp-dev (from .../libxdmcp-dev_1%3a1.0.3-1_amd64.deb) ...
Selecting previously deselected package x11proto-input-dev.
Unpacking x11proto-input-dev (from .../x11proto-input-dev_2.0-2_all.deb) ...
Selecting previously deselected package x11proto-kb-dev.
Unpacking x11proto-kb-dev (from .../x11proto-kb-dev_1.0.4-1_all.deb) ...
Selecting previously deselected package xtrans-dev.
Unpacking xtrans-dev (from .../xtrans-dev_1.2.5-1_all.deb) ...
Selecting previously deselected package libpthread-stubs0.
Unpacking libpthread-stubs0 (from .../libpthread-stubs0_0.3-2_amd64.deb) ...
Selecting previously deselected package libpthread-stubs0-dev.
Unpacking libpthread-stubs0-dev (from .../libpthread-stubs0-dev_0.3-2_amd64.deb) ...
Selecting previously deselected package libxcb1-dev.
Unpacking libxcb1-dev (from .../libxcb1-dev_1.5-2_amd64.deb) ...
Selecting previously deselected package libx11-dev.
Unpacking libx11-dev (from .../libx11-dev_2%3a1.3.2-1ubuntu3_amd64.deb) ...
Selecting previously deselected package patch.
Unpacking patch (from .../patch_2.6-2ubuntu1_amd64.deb) ...
Selecting previously deselected package dkms.
Unpacking dkms (from .../dkms_2.1.1.2-2ubuntu1_all.deb) ...
Selecting previously deselected package blcr-dkms.
Unpacking blcr-dkms (from .../blcr-dkms_0.8.2-10_all.deb) ...
Selecting previously deselected package libcr0.
Unpacking libcr0 (from .../libcr0_0.8.2-10_amd64.deb) ...
Selecting previously deselected package blcr-util.
Unpacking blcr-util (from .../blcr-util_0.8.2-10_amd64.deb) ...
Selecting previously deselected package csh.
Unpacking csh (from .../csh_20070713-2ubuntu1_amd64.deb) ...
Selecting previously deselected package fakeroot.
Unpacking fakeroot (from .../fakeroot_1.14.4-1ubuntu1_amd64.deb) ...
Selecting previously deselected package libstdc++6-4.4-dev.
Unpacking libstdc++6-4.4-dev (from .../libstdc++6-4.4-dev_4.4.3-4ubuntu5_amd64.deb) ...
Selecting previously deselected package g++-4.4.
Unpacking g++-4.4 (from .../g++-4.4_4.4.3-4ubuntu5_amd64.deb) ...
Selecting previously deselected package g++.
Unpacking g++ (from .../g++_4%3a4.4.3-1ubuntu1_amd64.deb) ...
Selecting previously deselected package libgfortran3.
Unpacking libgfortran3 (from .../libgfortran3_4.4.3-4ubuntu5_amd64.deb) ...
Selecting previously deselected package libncurses5-dev.
Unpacking libncurses5-dev (from .../libncurses5-dev_5.7+20090803-2ubuntu3_amd64.deb) ...
Selecting previously deselected package libnuma1.
Unpacking libnuma1 (from .../libnuma1_2.0.3-1_amd64.deb) ...
Selecting previously deselected package libreadline6-dev.
Unpacking libreadline6-dev (from .../libreadline6-dev_6.1-1_amd64.deb) ...
Selecting previously deselected package libreadline-dev.
Unpacking libreadline-dev (from .../libreadline-dev_6.1-1_amd64.deb) ...
Selecting previously deselected package libsm-dev.
Unpacking libsm-dev (from .../libsm-dev_2%3a1.1.1-1_amd64.deb) ...
Selecting previously deselected package libxt-dev.
Unpacking libxt-dev (from .../libxt-dev_1%3a1.0.7-1_amd64.deb) ...
Selecting previously deselected package libibverbs1.
Unpacking libibverbs1 (from .../libibverbs1_1.1.3-2ubuntu1_amd64.deb) ...
Selecting previously deselected package libopenmpi1.3.
Unpacking libopenmpi1.3 (from .../libopenmpi1.3_1.4.1-2_amd64.deb) ...
Selecting previously deselected package libscotch-5.1.
Unpacking libscotch-5.1 (from .../libscotch-5.1_5.1.6.dfsg-3_amd64.deb) ...
Selecting previously deselected package binutils-dev.
Unpacking binutils-dev (from .../binutils-dev_2.20.1-3ubuntu7.1_amd64.deb) ...
Selecting previously deselected package zlib1g-dev.
Unpacking zlib1g-dev (from .../zlib1g-dev_1%3a1.2.3.3.dfsg-15ubuntu1_amd64.deb) ...
Selecting previously deselected package libscotch-dev.
Unpacking libscotch-dev (from .../libscotch-dev_5.1.6.dfsg-3_amd64.deb) ...
Selecting previously deselected package openmpi-common.
Unpacking openmpi-common (from .../openmpi-common_1.4.1-2_all.deb) ...
Selecting previously deselected package libibverbs-dev.
Unpacking libibverbs-dev (from .../libibverbs-dev_1.1.3-2ubuntu1_amd64.deb) ...
Selecting previously deselected package libopenmpi-dev.
Unpacking libopenmpi-dev (from .../libopenmpi-dev_1.4.1-2_amd64.deb) ...
Selecting previously deselected package openmpi-bin.
Unpacking openmpi-bin (from .../openmpi-bin_1.4.1-2_amd64.deb) ...
Selecting previously deselected package openfoam210.
Unpacking openfoam210 (from .../openfoam210_0-1_amd64.deb) ...
Selecting previously deselected package openmpi-checkpoint.
Unpacking openmpi-checkpoint (from .../openmpi-checkpoint_1.4.1-2_amd64.deb) ...
Processing triggers for install-info ...
Processing triggers for man-db ...
Processing triggers for doc-base ...
Processing 1 added doc-base file(s)...
Registering documents with scrollkeeper...
Setting up m4 (1.4.13-3) ...
Setting up flex (2.5.35-9) ...

Setting up x11proto-core-dev (7.0.16-1) ...
Setting up libice-dev (2:1.0.6-1) ...
Setting up libxau-dev (1:1.0.5-1) ...
Setting up libxdmcp-dev (1:1.0.3-1) ...
Setting up x11proto-input-dev (2.0-2) ...
Setting up x11proto-kb-dev (1.0.4-1) ...
Setting up xtrans-dev (1.2.5-1) ...
Setting up libpthread-stubs0 (0.3-2) ...
Setting up libpthread-stubs0-dev (0.3-2) ...
Setting up libxcb1-dev (1.5-2) ...
Setting up libx11-dev (2:1.3.2-1ubuntu3) ...
Setting up patch (2.6-2ubuntu1) ...
Setting up dkms (2.1.1.2-2ubuntu1) ...

Setting up blcr-dkms (0.8.2-10) ...

Creating symlink /var/lib/dkms/blcr/0.8.2/source ->
/usr/src/blcr-0.8.2

DKMS: add Completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=2.6.32-38-generic -C /lib/modules/2.6.32-38-generic/build M=/var/lib/dkms/blcr/0.8.2/build............................................. .................................................. ..
(And on and on and on)
Stubby is offline   Reply With Quote

Old   March 2, 2012, 17:37
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,301
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Greetings Stubby and welcome to the forum!

Aaaarg, this is the worst case I've seen of "blcr" malfunction. Hit Ctrl+C to abort installation. You can try running the last command once again, but if it jams on the same place, don't wait for more than 1 minute.

The problem is that "blcr" is only needed for machines that have InfiniBand installed.... wait, I've read the description and that's not it... it "allows programs running on Linux to be "checkpointed" (written entirely to a file), and then later "restarted"."
Anyway, I've never managed to get it installed, so let's do this: you can block a package from being installed. If you have Ubuntu 10.04, then go to the menu System->Synaptic and search for the "blcr-dkms" package. Select it when it appears, uninstall it if installed; then with it selected (again), go to the menu on Synaptic "Package->Lock Version".

Now you can safely continue with the installation!

Good luck!
Bruno
wyldckat is offline   Reply With Quote

Old   March 2, 2012, 20:46
Default
  #3
New Member
 
Don Stubblefield
Join Date: Mar 2012
Location: The Great Northwest
Posts: 6
Rep Power: 5
Stubby is on a distinguished road
Thanks wyldckat,
I may not be doing this right but with the cursor in the terminal screen I hit ctrl+c repeatedly but nothing happens. It may have to do with VirtualBox, I know that on a virtualwindows machine right ctrl, alt get you out of keyboard capture. Should I "File-close" the terminal window?, or "Terminal - Reset"? or something else? I tried to look up terminal help, now I have the GNOME Terminal Manual up but can not navigate to introduction or getting started etc. Thanks again.
Stubby is offline   Reply With Quote

Old   March 3, 2012, 00:31
Default
  #4
New Member
 
Don Stubblefield
Join Date: Mar 2012
Location: The Great Northwest
Posts: 6
Rep Power: 5
Stubby is on a distinguished road
Hey wyldckat,
I pulled the plug on the VM (hard boot). Did as you said and removed blcr-dkms, but now I get the " Error! DKMS tree already contains: blcr-0.8.2 ". I don't know what to do now. Thanks again.

don@vLapDon:~$ sudo apt-get install openfoam210
Reading package lists... Done
Building dependency tree
Reading state information... Done
openfoam210 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up blcr-dkms (0.8.2-10) ...

Error! DKMS tree already contains: blcr-0.8.2
You cannot add the same module/version combo more than once.
dpkg: error processing blcr-dkms (--configure):
subprocess installed post-installation script returned error exit status 3
E: Sub-process /usr/bin/dpkg returned an error code (1)
Stubby is offline   Reply With Quote

Old   March 3, 2012, 02:04
Default
  #5
New Member
 
Don Stubblefield
Join Date: Mar 2012
Location: The Great Northwest
Posts: 6
Rep Power: 5
Stubby is on a distinguished road
I made a new VirtualBox with ubuntu 10.4.4 64bit, synaptic program locked version with blcr-dkms not installed. Then ran the ubuntu deb pack instructions as follows. I still get the .... going on for a few hours now. Also it looks as if since it did not find blcr-dkms it set it up (the last block just before the .... has

"Setting up dkms (2.1.1.2-2ubuntul) ..."

"Setting up blcr-dkms (0.8.2-10) ..."

"Creating symlink /var/lib/dkms/blcr/0.8.2/source ->
/usr/src/blcr-0.8.2"
"DKMS: add Completed."

Thanks for any direction and help. --Don

stubby@v-LapDon:~$ VERS=`lsb_release -cs`
stubby@v-LapDon:~$ sudo sh -c "echo deb http://www.openfoam.org/download/ubuntu $VERS main > /etc/apt/sources.list.d/openfoam.list"
[sudo] password for stubby:
stubby@v-LapDon:~$ sudo apt-get update
Hit http://security.ubuntu.com lucid-security Release.gpg
Ign http://www.openfoam.org lucid Release.gpg
Hit http://us.archive.ubuntu.com lucid Release.gpg
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-en_US
Ign http://www.openfoam.org/download/ubuntu/ lucid/main Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/main Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-en_US
Ign http://www.openfoam.org lucid Release
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-en_US
Ign http://www.openfoam.org lucid/main Packages
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/universe Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-en_US
Ign http://www.openfoam.org lucid/main Packages
Ign http://us.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-en_US
Hit http://security.ubuntu.com lucid-security Release
Hit http://www.openfoam.org lucid/main Packages
Hit http://us.archive.ubuntu.com lucid-updates Release.gpg
Hit http://security.ubuntu.com lucid-security/main Packages
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-en_US
Hit http://security.ubuntu.com lucid-security/restricted Packages
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-en_US
Hit http://security.ubuntu.com lucid-security/main Sources
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-en_US
Hit http://security.ubuntu.com lucid-security/restricted Sources
Ign http://us.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-en_US
Hit http://security.ubuntu.com lucid-security/universe Packages
Hit http://us.archive.ubuntu.com lucid Release
Hit http://security.ubuntu.com lucid-security/universe Sources
Hit http://us.archive.ubuntu.com lucid-updates Release
Hit http://security.ubuntu.com lucid-security/multiverse Packages
Hit http://us.archive.ubuntu.com lucid/main Packages
Hit http://security.ubuntu.com lucid-security/multiverse Sources
Hit http://us.archive.ubuntu.com lucid/restricted Packages
Hit http://us.archive.ubuntu.com lucid/main Sources
Hit http://us.archive.ubuntu.com lucid/restricted Sources
Hit http://us.archive.ubuntu.com lucid/universe Packages
Hit http://us.archive.ubuntu.com lucid/universe Sources
Hit http://us.archive.ubuntu.com lucid/multiverse Packages
Hit http://us.archive.ubuntu.com lucid/multiverse Sources
Hit http://us.archive.ubuntu.com lucid-updates/main Packages
Hit http://us.archive.ubuntu.com lucid-updates/restricted Packages
Hit http://us.archive.ubuntu.com lucid-updates/main Sources
Hit http://us.archive.ubuntu.com lucid-updates/restricted Sources
Hit http://us.archive.ubuntu.com lucid-updates/universe Packages
Hit http://us.archive.ubuntu.com lucid-updates/universe Sources
Hit http://us.archive.ubuntu.com lucid-updates/multiverse Packages
Hit http://us.archive.ubuntu.com lucid-updates/multiverse Sources
Reading package lists... Done
stubby@v-LapDon:~$ sudo apt-get install openfoam210
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
binutils-dev blcr-dkms blcr-util csh dkms fakeroot flex g++ g++-4.4 libcr0
libgfortran3 libibverbs-dev libibverbs1 libice-dev libncurses5-dev libnuma1
libopenmpi-dev libopenmpi1.3 libpthread-stubs0 libpthread-stubs0-dev
libreadline-dev libreadline6-dev libscotch-5.1 libscotch-dev libsm-dev
libstdc++6-4.4-dev libx11-dev libxau-dev libxcb1-dev libxdmcp-dev libxt-dev
m4 openmpi-bin openmpi-checkpoint openmpi-common patch x11proto-core-dev
x11proto-input-dev x11proto-kb-dev xtrans-dev zlib1g-dev
Suggested packages:
bison build-essential g++-multilib g++-4.4-multilib gcc-4.4-doc
libstdc++6-4.4-dbg libstdc++6-4.4-doc paraviewopenfoam3120 gfortran
diffutils-doc
Recommended packages:
libptscotch-dev
The following NEW packages will be installed:
binutils-dev blcr-dkms blcr-util csh dkms fakeroot flex g++ g++-4.4 libcr0
libgfortran3 libibverbs-dev libibverbs1 libice-dev libncurses5-dev libnuma1
libopenmpi-dev libopenmpi1.3 libpthread-stubs0 libpthread-stubs0-dev
libreadline-dev libreadline6-dev libscotch-5.1 libscotch-dev libsm-dev
libstdc++6-4.4-dev libx11-dev libxau-dev libxcb1-dev libxdmcp-dev libxt-dev
m4 openfoam210 openmpi-bin openmpi-checkpoint openmpi-common patch
x11proto-core-dev x11proto-input-dev x11proto-kb-dev xtrans-dev zlib1g-dev
0 upgraded, 42 newly installed, 0 to remove and 0 not upgraded.
Need to get 118MB of archives.
After this operation, 439MB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
openfoam210
Install these packages without verification [y/N]? y
Get:1 http://us.archive.ubuntu.com/ubuntu/ lucid/main m4 1.4.13-3 [286kB]
Get:2 http://www.openfoam.org/download/ubuntu/ lucid/main openfoam210 0-1 [92.9MB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ lucid/main flex 2.5.35-9 [261kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ lucid/main x11proto-core-dev 7.0.16-1 [92.2kB]
Get:5 http://us.archive.ubuntu.com/ubuntu/ lucid/main libice-dev 2:1.0.6-1 [67.1kB]
Get:6 http://us.archive.ubuntu.com/ubuntu/ lucid/main libxau-dev 1:1.0.5-1 [17.9kB]
Get:7 http://us.archive.ubuntu.com/ubuntu/ lucid/main libxdmcp-dev 1:1.0.3-1 [22.6kB]
Get:8 http://us.archive.ubuntu.com/ubuntu/ lucid/main x11proto-input-dev 2.0-2 [62.5kB]
Get:9 http://us.archive.ubuntu.com/ubuntu/ lucid/main x11proto-kb-dev 1.0.4-1 [27.3kB]
Get:10 http://us.archive.ubuntu.com/ubuntu/ lucid/main xtrans-dev 1.2.5-1 [68.5kB]
Get:11 http://us.archive.ubuntu.com/ubuntu/ lucid/main libpthread-stubs0 0.3-2 [3,202B]
Get:12 http://us.archive.ubuntu.com/ubuntu/ lucid/main libpthread-stubs0-dev 0.3-2 [2,412B]
Get:13 http://us.archive.ubuntu.com/ubuntu/ lucid/main libxcb1-dev 1.5-2 [80.0kB]
Get:14 http://us.archive.ubuntu.com/ubuntu/ lucid/main libx11-dev 2:1.3.2-1ubuntu3 [3,558kB]
Get:15 http://us.archive.ubuntu.com/ubuntu/ lucid/main patch 2.6-2ubuntu1 [121kB]
Get:16 http://us.archive.ubuntu.com/ubuntu/ lucid-updates/main dkms 2.1.1.2-2ubuntu1 [70.8kB]
Get:17 http://us.archive.ubuntu.com/ubuntu/ lucid/universe blcr-dkms 0.8.2-10 [904kB]
Get:18 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libcr0 0.8.2-10 [33.1kB]
Get:19 http://us.archive.ubuntu.com/ubuntu/ lucid/universe blcr-util 0.8.2-10 [42.1kB]
Get:20 http://us.archive.ubuntu.com/ubuntu/ lucid/universe csh 20070713-2ubuntu1 [258kB]
Get:21 http://us.archive.ubuntu.com/ubuntu/ lucid/main fakeroot 1.14.4-1ubuntu1 [101kB]
Get:22 http://us.archive.ubuntu.com/ubuntu/ lucid/main libstdc++6-4.4-dev 4.4.3-4ubuntu5 [1,522kB]
Get:23 http://us.archive.ubuntu.com/ubuntu/ lucid/main g++-4.4 4.4.3-4ubuntu5 [5,756kB]
Get:24 http://us.archive.ubuntu.com/ubuntu/ lucid/main g++ 4:4.4.3-1ubuntu1 [1,450B]
Get:25 http://us.archive.ubuntu.com/ubuntu/ lucid/main libgfortran3 4.4.3-4ubuntu5 [293kB]
Get:26 http://us.archive.ubuntu.com/ubuntu/ lucid/main libncurses5-dev 5.7+20090803-2ubuntu3 [1,598kB]
Get:27 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libnuma1 2.0.3-1 [21.0kB]
Get:28 http://us.archive.ubuntu.com/ubuntu/ lucid/main libreadline6-dev 6.1-1 [257kB]
Get:29 http://us.archive.ubuntu.com/ubuntu/ lucid/main libreadline-dev 6.1-1 [906B]
Get:30 http://us.archive.ubuntu.com/ubuntu/ lucid/main libsm-dev 2:1.1.1-1 [28.3kB]
Get:31 http://us.archive.ubuntu.com/ubuntu/ lucid/main libxt-dev 1:1.0.7-1 [525kB]
Get:32 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libibverbs1 1.1.3-2ubuntu1 [34.1kB]
Get:33 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libopenmpi1.3 1.4.1-2 [1,392kB]
Get:34 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libscotch-5.1 5.1.6.dfsg-3 [188kB]
Get:35 http://us.archive.ubuntu.com/ubuntu/ lucid-updates/main binutils-dev 2.20.1-3ubuntu7.1 [3,601kB]
Get:36 http://us.archive.ubuntu.com/ubuntu/ lucid/main zlib1g-dev 1:1.2.3.3.dfsg-15ubuntu1 [167kB]
Get:37 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libscotch-dev 5.1.6.dfsg-3 [310kB]
Get:38 http://us.archive.ubuntu.com/ubuntu/ lucid/universe openmpi-common 1.4.1-2 [86.5kB]
Get:39 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libibverbs-dev 1.1.3-2ubuntu1 [84.2kB]
Get:40 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libopenmpi-dev 1.4.1-2 [2,702kB]
Get:41 http://us.archive.ubuntu.com/ubuntu/ lucid/universe openmpi-bin 1.4.1-2 [145kB]
Get:42 http://us.archive.ubuntu.com/ubuntu/ lucid/universe openmpi-checkpoint 1.4.1-2 [61.7kB]
Fetched 118MB in 1min 51s (1,060kB/s)
Extracting templates from packages: 100%
Selecting previously deselected package m4.
(Reading database ... 123631 files and directories currently installed.)
Unpacking m4 (from .../archives/m4_1.4.13-3_amd64.deb) ...
Selecting previously deselected package flex.
Unpacking flex (from .../flex_2.5.35-9_amd64.deb) ...
Selecting previously deselected package x11proto-core-dev.
Unpacking x11proto-core-dev (from .../x11proto-core-dev_7.0.16-1_all.deb) ...
Selecting previously deselected package libice-dev.
Unpacking libice-dev (from .../libice-dev_2%3a1.0.6-1_amd64.deb) ...
Selecting previously deselected package libxau-dev.
Unpacking libxau-dev (from .../libxau-dev_1%3a1.0.5-1_amd64.deb) ...
Selecting previously deselected package libxdmcp-dev.
Unpacking libxdmcp-dev (from .../libxdmcp-dev_1%3a1.0.3-1_amd64.deb) ...
Selecting previously deselected package x11proto-input-dev.
Unpacking x11proto-input-dev (from .../x11proto-input-dev_2.0-2_all.deb) ...
Selecting previously deselected package x11proto-kb-dev.
Unpacking x11proto-kb-dev (from .../x11proto-kb-dev_1.0.4-1_all.deb) ...
Selecting previously deselected package xtrans-dev.
Unpacking xtrans-dev (from .../xtrans-dev_1.2.5-1_all.deb) ...
Selecting previously deselected package libpthread-stubs0.
Unpacking libpthread-stubs0 (from .../libpthread-stubs0_0.3-2_amd64.deb) ...
Selecting previously deselected package libpthread-stubs0-dev.
Unpacking libpthread-stubs0-dev (from .../libpthread-stubs0-dev_0.3-2_amd64.deb) ...
Selecting previously deselected package libxcb1-dev.
Unpacking libxcb1-dev (from .../libxcb1-dev_1.5-2_amd64.deb) ...
Selecting previously deselected package libx11-dev.
Unpacking libx11-dev (from .../libx11-dev_2%3a1.3.2-1ubuntu3_amd64.deb) ...
Selecting previously deselected package patch.
Unpacking patch (from .../patch_2.6-2ubuntu1_amd64.deb) ...
Selecting previously deselected package dkms.
Unpacking dkms (from .../dkms_2.1.1.2-2ubuntu1_all.deb) ...
Selecting previously deselected package blcr-dkms.
Unpacking blcr-dkms (from .../blcr-dkms_0.8.2-10_all.deb) ...
Selecting previously deselected package libcr0.
Unpacking libcr0 (from .../libcr0_0.8.2-10_amd64.deb) ...
Selecting previously deselected package blcr-util.
Unpacking blcr-util (from .../blcr-util_0.8.2-10_amd64.deb) ...
Selecting previously deselected package csh.
Unpacking csh (from .../csh_20070713-2ubuntu1_amd64.deb) ...
Selecting previously deselected package fakeroot.
Unpacking fakeroot (from .../fakeroot_1.14.4-1ubuntu1_amd64.deb) ...
Selecting previously deselected package libstdc++6-4.4-dev.
Unpacking libstdc++6-4.4-dev (from .../libstdc++6-4.4-dev_4.4.3-4ubuntu5_amd64.deb) ...
Selecting previously deselected package g++-4.4.
Unpacking g++-4.4 (from .../g++-4.4_4.4.3-4ubuntu5_amd64.deb) ...
Selecting previously deselected package g++.
Unpacking g++ (from .../g++_4%3a4.4.3-1ubuntu1_amd64.deb) ...
Selecting previously deselected package libgfortran3.
Unpacking libgfortran3 (from .../libgfortran3_4.4.3-4ubuntu5_amd64.deb) ...
Selecting previously deselected package libncurses5-dev.
Unpacking libncurses5-dev (from .../libncurses5-dev_5.7+20090803-2ubuntu3_amd64.deb) ...
Selecting previously deselected package libnuma1.
Unpacking libnuma1 (from .../libnuma1_2.0.3-1_amd64.deb) ...
Selecting previously deselected package libreadline6-dev.
Unpacking libreadline6-dev (from .../libreadline6-dev_6.1-1_amd64.deb) ...
Selecting previously deselected package libreadline-dev.
Unpacking libreadline-dev (from .../libreadline-dev_6.1-1_amd64.deb) ...
Selecting previously deselected package libsm-dev.
Unpacking libsm-dev (from .../libsm-dev_2%3a1.1.1-1_amd64.deb) ...
Selecting previously deselected package libxt-dev.
Unpacking libxt-dev (from .../libxt-dev_1%3a1.0.7-1_amd64.deb) ...
Selecting previously deselected package libibverbs1.
Unpacking libibverbs1 (from .../libibverbs1_1.1.3-2ubuntu1_amd64.deb) ...
Selecting previously deselected package libopenmpi1.3.
Unpacking libopenmpi1.3 (from .../libopenmpi1.3_1.4.1-2_amd64.deb) ...
Selecting previously deselected package libscotch-5.1.
Unpacking libscotch-5.1 (from .../libscotch-5.1_5.1.6.dfsg-3_amd64.deb) ...
Selecting previously deselected package binutils-dev.
Unpacking binutils-dev (from .../binutils-dev_2.20.1-3ubuntu7.1_amd64.deb) ...
Selecting previously deselected package zlib1g-dev.
Unpacking zlib1g-dev (from .../zlib1g-dev_1%3a1.2.3.3.dfsg-15ubuntu1_amd64.deb) ...
Selecting previously deselected package libscotch-dev.
Unpacking libscotch-dev (from .../libscotch-dev_5.1.6.dfsg-3_amd64.deb) ...
Selecting previously deselected package openmpi-common.
Unpacking openmpi-common (from .../openmpi-common_1.4.1-2_all.deb) ...
Selecting previously deselected package libibverbs-dev.
Unpacking libibverbs-dev (from .../libibverbs-dev_1.1.3-2ubuntu1_amd64.deb) ...
Selecting previously deselected package libopenmpi-dev.
Unpacking libopenmpi-dev (from .../libopenmpi-dev_1.4.1-2_amd64.deb) ...
Selecting previously deselected package openmpi-bin.
Unpacking openmpi-bin (from .../openmpi-bin_1.4.1-2_amd64.deb) ...
Selecting previously deselected package openfoam210.
Unpacking openfoam210 (from .../openfoam210_0-1_amd64.deb) ...
Selecting previously deselected package openmpi-checkpoint.
Unpacking openmpi-checkpoint (from .../openmpi-checkpoint_1.4.1-2_amd64.deb) ...
Processing triggers for install-info ...
Processing triggers for man-db ...
Processing triggers for doc-base ...
Processing 1 added doc-base file(s)...
Registering documents with scrollkeeper...
Setting up m4 (1.4.13-3) ...
Setting up flex (2.5.35-9) ...
Setting up x11proto-core-dev (7.0.16-1) ...
Setting up libice-dev (2:1.0.6-1) ...
Setting up libxau-dev (1:1.0.5-1) ...
Setting up libxdmcp-dev (1:1.0.3-1) ...
Setting up x11proto-input-dev (2.0-2) ...
Setting up x11proto-kb-dev (1.0.4-1) ...
Setting up xtrans-dev (1.2.5-1) ...
Setting up libpthread-stubs0 (0.3-2) ...
Setting up libpthread-stubs0-dev (0.3-2) ...
Setting up libxcb1-dev (1.5-2) ...
Setting up libx11-dev (2:1.3.2-1ubuntu3) ...
Setting up patch (2.6-2ubuntu1) ...
Setting up dkms (2.1.1.2-2ubuntu1) ...
Setting up blcr-dkms (0.8.2-10) ...
Creating symlink /var/lib/dkms/blcr/0.8.2/source ->
/usr/src/blcr-0.8.2
DKMS: add Completed.
Kernel preparation unnecessary for this kernel. Skipping...
Building module:
cleaning build area....
make KERNELRELEASE=2.6.32-38-generic -C /lib/modules/2.6.32-38-generic/build M=/var/lib/dkms/blcr/0.8.2/build............................................. .................................................. .................................................. .................................................. .......................................
Stubby is offline   Reply With Quote

Old   March 3, 2012, 10:40
Default
  #6
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,301
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Hi Stubby,

Unfortunately I couldn't have answered you sooner. You can always close the terminal window, if Ctrl+C doesn't work.

Which Windows are you using? XP, Vista or 7? 32 or 64bit?

I'm asking this because some time ago it was established that on Windows XP 32bit, it's necessary to install an older version of VirtualBox: http://www.openfoam.org/mantisbt/view.php?id=384#c932
Namely this one: http://download.virtualbox.org/virtu...-74713-Win.exe

If that still doesn't work, then perhaps it's best to spend a bit more time compiling OpenFOAM from source, instead of installing the pre-built version

Best regards,
Bruno
wyldckat is offline   Reply With Quote

Old   March 4, 2012, 00:45
Default
  #7
New Member
 
Don Stubblefield
Join Date: Mar 2012
Location: The Great Northwest
Posts: 6
Rep Power: 5
Stubby is on a distinguished road
Wyldckat,
No problem on timeliness of answering, I realize you are in Portugal and I am on the west coast of America, big time difference.
I am on Win 7 64 bit.
I am guessing that we are at the compiling OpenFOAM from source? any suggestions on how to do that would be appreciated. Thanks again. --Don
Stubby is offline   Reply With Quote

Old   March 4, 2012, 08:42
Default
  #8
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,301
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Hi Don,

There isn't much to it:
  1. Make sure you've given more than 1 virtual CPU to your virtual machine, if your real machine has more than 1 core. This is for the building process to go faster.
    Don't forget to disable 3D acceleration on the VM's settings!
  2. Follow the official instructions: http://www.openfoam.org/download/source.php
  3. When you get to the section "Building the Sources", run:
    Code:
    export WM_NCOMPPROCS=4
    ./Allwmake > make.log 2>&1
    4 is the number of cores you've assigned to your virtual machine. And yes, there are 2 P's next to each other: WM_NCOMPPROCS
    The second line will keep a full log of the build process. This way it'll be easier to track down any problems found during the building process.
  4. As for ParaView, and since you're using Ubuntu 10.04, you'll need to build a custom CMake before building ParaView. I've written instructions for it several weeks ago: paraview compilation error paraview-3.12.0 - post #9
Good luck!
Bruno
wyldckat is offline   Reply With Quote

Old   March 5, 2012, 16:12
Default
  #9
New Member
 
Don Stubblefield
Join Date: Mar 2012
Location: The Great Northwest
Posts: 6
Rep Power: 5
Stubby is on a distinguished road
Thanks Wyldckat,
Sorry for the delay in thanking you. I was busy with the kids over the weekend. I have got the pages you linked to, I am still not exactly sure what I am doing, but that is the only way to learn. The inverse relationship of "Knowing what to do" and "Potential for Learning". I will let you know how I am doing on this thread, only PM you if I get really lost. Thanks again --Don
Stubby is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
OpenFOAM 1.7 installation on Redhat linux maxims OpenFOAM Installation 2 November 30, 2012 05:29
New OpenFOAM Forum Structure jola OpenFOAM 2 October 19, 2011 06:55
Problem to run the OpenFoam in ubuntu MT86 OpenFOAM Bugs 1 August 30, 2011 02:46
Openfoam installation problem jose soto OpenFOAM Installation 4 August 9, 2011 01:29
How to Install OpenFOAM on 64 Ubuntu 9.04 hansel OpenFOAM Installation 62 March 19, 2010 15:43


All times are GMT -4. The time now is 11:10.